<?php 
//Bottom Header
    $wp_customize->add_section( 'soccerclub_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'soccerclub-premium' ),
        'priority' => null,
        'panel' => 'soccerclub_header_panel1'
    ) );

$wp_customize->add_setting('soccerclub_reset_footer_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_footer_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'soccerclub'),
  'description' => 'soccerclub_footer_reset_settings',
  'section' => 'soccerclub_footer_setting'
)));


   $wp_customize->add_setting('soccerclub_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_footer_nav', array(
       'section' => 'soccerclub_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_footer_copyrighttext',
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                 'soccerclub_footer_section_bg_color',
                'soccerclub_footer_section_bg_image',
                'soccerclub_footer_image_opacity',
                'soccerclub_footer_box_align', 
                'soccerclub_footer_copyright_align',   
                'soccerclub_footer_box_align1',
                'soccerclub_footer_onload_effects',  
                'soccerclub_footer_heading_color',
                'soccerclub_footer_text_color',
                'soccerclub_footer_copyrighttext_color',
                'soccerclub_footer_icon_color',
                'soccerclub_footer_sicon_color',
                'soccerclub_footer_siconhover_color',
                'soccerclub_footer_siconbg_color',
                'soccerclub_footer_hglightsctext_color',
                'soccerclub_footer_menu_color',
                'soccerclub_footer_menuhover_color',
                'soccerclub_footer_activemenu_color',
                'soccerclub_footer_datext_color',
                'soccerclub_footer_tableborder_color',
                'soccerclub_footer_formtext_color',
                'soccerclub_footer_formtextlabel_color',
                'soccerclub_footer_formbuttontext_color',
                'soccerclub_footerbutton_border_color',
                'soccerclub_footer_otherfbgs_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub_footer_padding',
                'soccerclub_footer_section_top_t_padding',
                'soccerclub_footer_section_top_b_padding',
                'soccerclub_footer_padding1',
                'soccerclub_footer_section_bottom_t_padding',
                'soccerclub_footer_section_bottom_b_padding',     
                'soccerclub_footer_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'soccerclub_footer_copyrighttext',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'COPYRIGHT @ CLUBSHOP 2021. ALL RIGHTS RESERVED.', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_footer_copyrighttext',
    array(
        'settings'      => 'soccerclub_footer_copyrighttext',
        'section'       => 'soccerclub_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'soccerclub' ),
         'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);

//backgroundManager($wp_customize, 'footer', 'soccerclub_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'soccerclub_footer_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'soccerclub_footer_section_bg_color', array(
        'label' => __('Background Color','soccerclub'),
       'section' => 'soccerclub_footer_setting',
    )));

    $wp_customize->add_setting( 'soccerclub_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_footer_section_bg_image', array(
        'label' => __('Section Background Image','soccerclub'),
       'section' => 'soccerclub_footer_setting',
    )));


     $wp_customize->add_setting('soccerclub_footer_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_footer_image_opacity',array(
    'label' => __('Background Opacity','soccerclub'),
    'section' => 'soccerclub_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('soccerclub_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','soccerclub'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
            'wow bounceInRight' => __('Bounce In Right','soccerclub'),
            'wow bounceInUp' => __('Bounce In Up','soccerclub'),
            'wow bounceInDown' => __('Bounce In Down','soccerclub'),
            'wow zoomIn' => __('Zoom In','soccerclub'),
            'wow zoomOut' => __('Zoom Out','soccerclub'),
            'wow fadeInDown' => __('Fade In Down','soccerclub'),            
            'wow fadeInUp' => __('Fade In Up','soccerclub'),
            'wow fadeInLeft' => __('Fade In Left','soccerclub'),
            'wow fadeInRight' => __('Fade In Right','soccerclub'),
            'flip-up' => __('Flip Up','soccerclub')
        ),
        'section' => 'soccerclub_footer_setting',
    ));

$wp_customize->add_setting('soccerclub_footer_box_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_footer_setting',
    ));


    $wp_customize->add_setting('soccerclub_footer_box_align1',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_footer_box_align1',array(
        'type' => 'select',
        'label' => __('First Widget Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_footer_setting',
    ));

       $wp_customize->add_setting('soccerclub_footer_copyright_align',array(
        'default' => 'Right',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_footer_copyright_align',array(
        'type' => 'select',
        'label' => __('Copyright Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_footer_setting',
    ));


addColorPalatOption($wp_customize, 'soccerclub_footer_heading_color', 'soccerclub_footer_setting', 'Heading color', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_text_color', 'soccerclub_footer_setting', 'Text color ', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_icon_color', 'soccerclub_footer_setting', 'Icon color', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_sicon_color', 'soccerclub_footer_setting', 'Social icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_siconhover_color', 'soccerclub_footer_setting', 'Social icon hover color', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_siconbg_color', 'soccerclub_footer_setting', 'Social icon Background color', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_hglightsctext_color', 'soccerclub_footer_setting', 'Highlight text color', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_menu_color', 'soccerclub_footer_setting', 'Menu color ', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_menuhover_color', 'soccerclub_footer_setting', 'Menu hover color ', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_activemenu_color', 'soccerclub_footer_setting', 'Active Menu color ', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_datext_color', 'soccerclub_footer_setting', 'Date color ', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_tableborder_color', 'soccerclub_footer_setting', 'Border color ', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_formtext_color', 'soccerclub_footer_setting', 'Form text color ', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_formtextlabel_color', 'soccerclub_footer_setting', 'Form Label color ', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_formbuttontext_color', 'soccerclub_footer_setting', 'Button text color ', '');
addColorPalatOption($wp_customize, 'soccerclub_footerbutton_border_color', 'soccerclub_footer_setting', 'Button border color ', '');
addColorPalatOption($wp_customize, 'soccerclub_footer_otherfbgs_color', 'soccerclub_footer_setting', 'Other background color ', '');

addColorPalatOption($wp_customize, 'soccerclub_footer_copyrighttext_color', 'soccerclub_footer_setting', 'Bottom footer text color ', '');

    $wp_customize->add_setting('soccerclub_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_footer_padding',array(
      'label' => __('Top Footer Padding','soccerclub'),
      'section' => 'soccerclub_footer_setting'
   ));


    $wp_customize->add_setting('soccerclub_footer_section_top_t_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_footer_setting',
    ));
     $wp_customize->add_setting('soccerclub_footer_section_top_b_padding',array(
        'default' => '6',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_footer_setting',
    ));


    $wp_customize->add_setting('soccerclub_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_footer_padding1',array(
      'label' => __('Bottom Footer Padding','soccerclub'),
      'section' => 'soccerclub_footer_setting'
   ));


    $wp_customize->add_setting('soccerclub_footer_section_bottom_t_padding',array(
        'default' => '2',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_footer_setting',
    ));
     $wp_customize->add_setting('soccerclub_footer_section_bottom_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_footer_setting',
    ));


    $wp_customize->add_setting('soccerclub_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_footer_setting',
    ));
?>