<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_header_panel2', array(
    'title' => 'Header',
    'panel' => 'soccerclub_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'soccerclub_section', array(
    'title' => 'Section Test',
    'panel' => 'soccerclub_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'soccerclub_header_section' , array(
        'title'    => __( 'All Settings', 'soccerclub-premium' ),
        'priority' => null,
        'panel' => 'soccerclub_header_panel2'
    ) );

$wp_customize->add_setting('soccerclub_reset_allsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_allsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'soccerclub'),
  'description' => 'soccerclub_allsetting_reset_settings',
  'section' => 'soccerclub_header_section'
)));


    $wp_customize->add_setting('soccerclub_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_allsetting_nav', array(
       'section' => 'soccerclub_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_show_sticky_header',
                'soccerclub_header_style',
                'soccerclub_header_width',                 
                'soccerclub_header_fb',
                'soccerclub_header_tw',
                'soccerclub_header_in',                
                'soccerclub_header_instagram',               
                'soccerclub_header_pinterest'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'header_stickybgColor',          
                'header_bottombgColor',
                'aboveslidertopheaderbgColor',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',                     
                'header_socialColor',
                'header_socialhoverColor',
                'header_socialbgColor',
                'header_socialbghoverColor'
            ),
         )
        ),
    )));
    

$wp_customize->add_setting(
    'soccerclub_show_sticky_header',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'soccerclub_show_sticky_header',
        array(
            'settings'      => 'soccerclub_show_sticky_header',
            'section'       => 'soccerclub_header_section',
            'label'         => __( 'Show Sticky Header', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'soccerclub-premium' ),
                'off' => __( 'Yes', 'soccerclub-premium' )
            ),
        )
    )
);


    $wp_customize->add_setting('soccerclub_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','soccerclub'),
        'choices' => array (
            'Above Slider' => __('Above Slider','soccerclub'),
            'On Slider' => __('On Slider','soccerclub')
        ),
        'section' => 'soccerclub_header_section',
    ));

     $wp_customize->add_setting('soccerclub_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_header_section',
    ));

// FACEBOOK 
$wp_customize->add_setting('soccerclub_header_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('soccerclub_header_fb',
    array(
        'settings'      => 'soccerclub_header_fb',
        'section'       => 'soccerclub_header_section',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'soccerclub-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('soccerclub_header_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('soccerclub_header_tw',
    array(
        'settings'      => 'soccerclub_header_tw',
        'section'       => 'soccerclub_header_section',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'soccerclub-premium' )
    )
);


// Instagram IN
$wp_customize->add_setting('soccerclub_header_instagram',array('default'=> 'https://instagram.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('soccerclub_header_instagram',
    array(
        'settings'      => 'soccerclub_header_instagram',
        'section'       => 'soccerclub_header_section',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'soccerclub-premium' )
    )
);


// Pinterest
$wp_customize->add_setting('soccerclub_header_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('soccerclub_header_pinterest',
    array(
        'settings'      => 'soccerclub_header_pinterest',
        'section'       => 'soccerclub_header_section',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'soccerclub-premium' )
    )
);


addColorPalatOption($wp_customize, 'header_bottombgColor', 'soccerclub_header_section', 'Header Background color', '');
// addColorPalatOption($wp_customize, 'header_stickybgColor', 'soccerclub_header_section', 'Sticky Background color', '');
// addColorPalatOption($wp_customize, 'aboveslidertopheaderbgColor', 'soccerclub_header_section', 'Above slider Background color', '');
 addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'soccerclub_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'soccerclub_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'header_socialColor', 'soccerclub_header_section', 'Social icon color','');
addColorPalatOption($wp_customize, 'header_socialhoverColor', 'soccerclub_header_section', 'Social icon hover color','');
addColorPalatOption($wp_customize, 'header_socialbgColor', 'soccerclub_header_section', 'Social background Color','');
addColorPalatOption($wp_customize, 'header_socialbghoverColor', 'soccerclub_header_section', 'Social background hover color','');

?>