<?php 
$wp_customize->add_section( 'title_tagline', array(
    'title' => __( 'Logo Settings', 'soccerclub Premium' ),
     'priority' => null,
    'panel' => 'soccerclub_header_panel2',
) );


$wp_customize->add_setting('soccerclub_reset_logosetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_logosetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Logo Settings', 'soccerclub'),
  'description' => 'soccerclub_logosetting_reset_settings',
  'section' => 'title_tagline'
)));

$wp_customize->add_setting('soccerclub_logosetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));


    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_logosetting_nav', array(
       'section' => 'title_tagline',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'custom_logo',
                'blogname',
                'blogdescription',
                'site_icon',
                'soccerclub_show_site_title',
               'soccerclub_show_tagline'               
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'soccerclub_logo_size',
               'soccerclub_logo_height',
                'soccerclub_logo_possition',
               'soccerclub_logo_margin',
               'soccerclub_logo_top_margin',
               'soccerclub_logo_bottom_margin',
               'soccerclub_logo_left_margin',
               'soccerclub_logo_right_margin'
            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'soccerclub_show_site_title',array(
        'default' => true,
        'sanitize_callback' => 'soccerclub_switch_sanitization'
   ) );
   $wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_show_site_title',array(
        'label' => __( 'Site Title','soccerclub' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting( 'soccerclub_show_tagline',array(
        'default' => true,
        'sanitize_callback' => 'soccerclub_switch_sanitization'
   ) );
   $wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_show_tagline',array(
        'label' => __( 'Site Tagline','soccerclub' ),
        'section' => 'title_tagline'
   )));

    $wp_customize->add_setting('soccerclub_logo_size',array(
        'default' => 100,
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_logo_size',array(
    'label' => __('Logo Width','soccerclub'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('soccerclub_logo_height',array(
        'default' => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_logo_height',array(
    'label' => __('Logo Height','soccerclub'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 150,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('soccerclub_logo_possition',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_logo_possition',array(
    'label' => __('Logo position','soccerclub'),
    'section' => 'title_tagline',
    'input_attrs' => array(
            'min' => 0,
            'max' => 150,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('soccerclub_logo_margin',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_logo_margin',array(
      'label' => __('Logo Padding','soccerclub'),
      'section' => 'title_tagline'
   ));

$wp_customize->add_setting('soccerclub_logo_top_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_logo_top_margin',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('soccerclub_logo_bottom_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_logo_bottom_margin',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('soccerclub_logo_left_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_logo_left_margin',array(
    'type' => 'number',
    'label' => __('Left','soccerclub'),
    'section' => 'title_tagline',
    ));

    $wp_customize->add_setting('soccerclub_logo_right_margin',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_logo_right_margin',array(
    'type' => 'number',
    'label' => __('Right','soccerclub'),
    'section' => 'title_tagline',
    ));
?>