<?php 
// /HEADER SETTINGS IN CUSTOMIZER
 $wp_customize->add_section( 'header_menu_settings' , array(
        'title'    => __( 'Menu Settings', 'soccerclub-premium' ),
        'priority' => null,
        'panel' => 'soccerclub_header_panel2'
    ) );



$wp_customize->add_setting('soccerclub_reset_menusetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_menusetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Menu Settings', 'soccerclub'),
  'description' => 'soccerclub_menusetting_reset_settings',
  'section' => 'header_menu_settings'
)));

    $wp_customize->add_setting('soccerclub_menusetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_menusetting_nav', array(
       'section' => 'header_menu_settings',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
               'soccerclub_submenu_animation',
               'soccerclub_menu_case',
               'soccerclub_menu_font_size',
               'soccerclub_menu_font_weight'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'header_topmenusColor',
                'header_topmenushoverColor',
                'header_topmenusactiveColor',
                'header_topsubmenusColor',
                'header_topsubmenusbgColor',
                'header_submenusbgssc1Color'                     
            ),
         ),
          array(
            'name' => esc_html__('Responsive Menu', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-desktop',
            'fields' => array(
                'header_topsubmenuiconColor',
                'header_respnavtoggbarbgssColor',
                'header_respnavbsbgssColor',
                'header_navigationrespnavbrssColor',
                'soccerclub_respmenu_font_size'
           ),
         )
        ),
    )));

//menu dropdown animation
$lzmenuanimation = getAnimations(true);

$wp_customize->add_setting(
   'soccerclub_submenu_animation',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '2'
   )
);
$wp_customize->add_control(
   new soccerclub_Font_Chooser(
      $wp_customize,
      'soccerclub_submenu_animation',
      array(
         'settings'=> 'soccerclub_submenu_animation',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Dropdown Animations', 'soccerclub Premium'),
         'choices'=>$lzmenuanimation
      )
   )
);



//menu font case
$lzmenufontcase = getfontcase(true);

$wp_customize->add_setting(
   'soccerclub_menu_case',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '1'
   )
);
$wp_customize->add_control(
   new soccerclub_Font_Chooser(
      $wp_customize,
      'soccerclub_menu_case',
      array(
         'settings'=> 'soccerclub_menu_case',
         'section' => 'header_menu_settings',
         'label'=>__('Menu Font Case', 'soccerclub Premium'),
         'choices'=>$lzmenufontcase
      )
   )
);

   $wp_customize->add_setting('soccerclub_menu_font_size',array(
      'default' => '18',
      'sanitize_callback'  => 'soccerclub_sanitize_integer'
   ));
   $wp_customize->add_control('soccerclub_menu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','soccerclub'),
      'section' => 'header_menu_settings',
   ));

   $wp_customize->add_setting('soccerclub_menu_font_weight',array(
     'default' => '500',
     'sanitize_callback' => 'soccerclub_sanitize_choices'
   ));
   $wp_customize->add_control('soccerclub_menu_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','soccerclub'),
      'section' => 'header_menu_settings',
      'choices' => array(
         '300' => __('300','soccerclub'),
         '400' => __('400','soccerclub'),
         '600' => __('600','soccerclub'),
         '700' => __('700','soccerclub'),
         '800' => __('800','soccerclub')
      ),
   ));

addColorPalatOption($wp_customize, 'header_topmenusColor', 'header_menu_settings', 'Menus color', '');
addColorPalatOption($wp_customize, 'header_topmenushoverColor', 'header_menu_settings', 'Menus Hover color', '');
addColorPalatOption($wp_customize, 'header_topmenusactiveColor', 'header_menu_settings', 'Active menus color', '');
addColorPalatOption($wp_customize, 'header_topsubmenusColor', 'header_menu_settings', 'Dropdown menus color', '');

addColorPalatOption($wp_customize, 'header_topsubmenusbgColor', 'header_menu_settings', 'Dropdown menus hover background color', '');
addColorPalatOption($wp_customize, 'header_submenusbgssc1Color', 'header_menu_settings', 'Dropdown Background color', '');
addColorPalatOption($wp_customize, 'header_topsubmenuiconColor', 'header_menu_settings', 'Menus icon color', '');
addColorPalatOption($wp_customize, 'header_respnavtoggbarbgssColor', 'header_menu_settings', 'Toggle bar color', '');
addColorPalatOption($wp_customize, 'header_respnavbsbgssColor', 'header_menu_settings', 'Background Color', '');
addColorPalatOption($wp_customize, 'header_navigationrespnavbrssColor', 'header_menu_settings', 'Border Color', '');

 $wp_customize->add_setting('soccerclub_respmenu_font_size',array(
      'default' => '16px',
      'sanitize_callback'  => 'soccerclub_sanitize_integer'
   ));
   $wp_customize->add_control('soccerclub_respmenu_font_size',array(
      'type' => 'number',
      'label' => __('Menu Font Size','soccerclub'),
      'section' => 'header_menu_settings',
   ));
?>