<?php
$wp_customize->add_section(
    'soccerclub_features_section',
    array(
        'title' => __('Features Section', 'soccerclub-premium' ),
        'panel' => 'soccerclub_premium_home_panel1',
        'priority' =>19
    )
);

$wp_customize->add_setting('soccerclub_reset_features_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_features_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Features Section Settings', 'soccerclub'),
  'description' => 'soccerclub_features_reset_settings',
  'section' => 'soccerclub_features_section'
)));


$wp_customize->add_setting('soccerclub_features_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_features_nav', array(
       'section' => 'soccerclub_features_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_features_enable', 
                'soccerclub_features_maintitle',                
                'soccerclub_features_subtitle',
                'soccerclub_featured_image',             
                'soccerclub_features_npp_count_heading',
                'soccerclub_features_npp_count',
                'soccerclub_features_page1',
                'soccerclub_features_page_icon1',
                'soccerclub_features_page_title_1',
                'soccerclub_features_page_description_1',
                'soccerclub_features_page2',
                'soccerclub_features_page_icon2',
                'soccerclub_features_page_title_2',
                'soccerclub_features_page_description_2',
                'soccerclub_features_page3',
                'soccerclub_features_page_icon3',
                'soccerclub_features_page_title_3',
                'soccerclub_features_page_description_3',
                'soccerclub_features_page4',
                'soccerclub_features_page_icon4',
                'soccerclub_features_page_title_4',
                'soccerclub_features_page_description_4',
                'soccerclub_features_page5',
                'soccerclub_features_page_icon5',
                'soccerclub_features_page_title_5',
                'soccerclub_features_page_description_5',
                'soccerclub_features_page6',
                'soccerclub_features_page_icon6',
                'soccerclub_features_page_title_6',
                'soccerclub_features_page_description_6',
                'soccerclub_features_page7',
                'soccerclub_features_page_icon7',
                'soccerclub_features_page_title_7',
                'soccerclub_features_page_description_7',
                'soccerclub_features_page8',
                'soccerclub_features_page_icon8',
                'soccerclub_features_page_title_8',
                'soccerclub_features_page_description_8',
                'soccerclub_features_page9',
                'soccerclub_features_page_icon9',
                'soccerclub_features_page_title_9',
                'soccerclub_features_page_description_9',
                'soccerclub_features_page10',
                'soccerclub_features_page_icon10',
                'soccerclub_features_page_title_10',
                'soccerclub_features_page_description_10',
                'soccerclub_features_page11',
                'soccerclub_features_page_icon11',
                'soccerclub_features_page_title_11',
                'soccerclub_features_page_description_11',
                'soccerclub_features_page12',
                'soccerclub_features_page_icon12',
                'soccerclub_features_page_title_12',
                'soccerclub_features_page_description_12'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'soccerclub_features_section_bg_color',
                'soccerclub_features_section_bg_image',
                'soccerclub_features_image_opacity',
                'soccerclub_features_heading_color1',
                'soccerclub_features_icon_color',
                'soccerclub_features_iconbg_color',
                'soccerclub_features_iconbghover_color',
                'soccerclub_features_title_case',
                'soccerclub_features_head_align',
                'soccerclub_features_box_align',
                'soccerclub_features_box_onload_effects',
                'soccerclub_features_title_color1',
                'soccerclub_features_text_color',
                 'soccerclub_features_titlehover_color',
                 'soccerclub_features_imgbrdr_color',
                 'soccerclub_features_headingbtmbrdr_color1',
                 'soccerclub_features_headingbtmbrdr_color2'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub_features_padding',
                'soccerclub_features_section_t_padding',
                'soccerclub_features_section_b_padding',
                'soccerclub_features_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'soccerclub_features_enable',array(
    'default' => true,
    'sanitize_callback' => 'soccerclub_switch_sanitization'
) );
$wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_features_enable',array(
    'label' => __( 'Disable Section','soccerclub' ),
    'section' => 'soccerclub_features_section'
)));

$wp_customize->add_setting(
    'soccerclub_features_maintitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Our Feature', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_features_maintitle',
    array(
        'settings'      => 'soccerclub_features_maintitle',
        'section'       => 'soccerclub_features_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'soccerclub' )
    )
);


$wp_customize->add_setting( 'soccerclub_featured_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_featured_image', array(
        'label' => __('Left Image','soccerclub-premium'),
       'section' => 'soccerclub_features_section',
    )));



$wp_customize->add_setting('soccerclub_features_npp_count_heading',array('sanitize_callback' => 'soccerclub_sanitize_text'));
$wp_customize->add_control(
    new soccerclub_Customize_Heading(
        $wp_customize,
        'soccerclub_features_npp_count_heading',
        array(
            'settings'      => 'soccerclub_features_npp_count_heading',
            'section'       => 'soccerclub_features_section',
            'label'         => __( 'Number of features to show', 'soccerclub' ),
        )
    )
);    
$wp_customize->add_setting('soccerclub_features_npp_count',array('sanitize_callback' => 'soccerclub_sanitize_text','default' => 2));
$wp_customize->add_control(
    'soccerclub_features_npp_count',
    array(
        'settings'      => 'soccerclub_features_npp_count',
        'section'       => 'soccerclub_features_section',
        'type'          => 'select',
        'label'         => __( 'Number of features to show', 'soccerclub' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'soccerclub_features_page'.$i,
        array(
            'sanitize_callback' => 'soccerclub_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new soccerclub_Customize_Heading(
            $wp_customize,
            'soccerclub_features_page'.$i,
            array(
                'settings'      => 'soccerclub_features_page'.$i,
                'section'       => 'soccerclub_features_section',
                'label'         => __( 'Features Page ', 'soccerclub-premium' ).$i
            )
        )
    );

    $wp_customize->add_setting(
        'soccerclub_features_page_icon'.$i,
        array(
            'default'           => 'fa fa-trophy',
            'sanitize_callback' => 'soccerclub_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new soccerclub_Fontawesome_Icon_Chooser(
            $wp_customize,
            'soccerclub_features_page_icon'.$i,
            array(
                'settings'      => 'soccerclub_features_page_icon'.$i,
                'section'       => 'soccerclub_features_section',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'soccerclub-premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'soccerclub_features_page_title_'.$i, 'soccerclub_features_section', $type = 'text', $label="Title", $callback ='soccerclub_sanitize_text', $default='Our Goal');
lzAddElement($wp_customize, 'soccerclub_features_page_description_'.$i, 'soccerclub_features_section', $type = 'textarea', $label="Description", $callback ='soccerclub_sanitize_text', $default='Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor');
    
}

    $wp_customize->add_setting('soccerclub_features_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_features_padding',array(
      'label' => __('Section Padding','soccerclub'),
      'section' => 'soccerclub_features_section'
   ));

    $wp_customize->add_setting('soccerclub_features_section_t_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_features_section_t_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_features_section',
    ));
     $wp_customize->add_setting('soccerclub_features_section_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_features_section_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_features_section',
    ));

$wp_customize->add_setting( 'soccerclub_features_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'soccerclub_features_section_bg_color', array(
        'label' => __('Section Background Color','soccerclub'),
       'section' => 'soccerclub_features_section',
    )));

    $wp_customize->add_setting( 'soccerclub_features_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_features_section_bg_image', array(
        'label' => __('Section Background Image','soccerclub'),
       'section' => 'soccerclub_features_section',
    )));


     $wp_customize->add_setting('soccerclub_features_image_opacity',array(
        'default' => 0.1,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_features_image_opacity',array(
    'label' => __('Background Opacity','soccerclub'),
    'section' => 'soccerclub_features_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


    $wp_customize->add_setting('soccerclub_features_box_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_features_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','soccerclub'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
            'wow bounceInRight' => __('Bounce In Right','soccerclub'),
            'wow bounceInUp' => __('Bounce In Up','soccerclub'),
            'wow bounceInDown' => __('Bounce In Down','soccerclub'),
            'wow zoomIn' => __('Zoom In','soccerclub'),
            'wow zoomOut' => __('Zoom Out','soccerclub'),
            'wow fadeInDown' => __('Fade In Down','soccerclub'),            
            'wow fadeInUp' => __('Fade In Up','soccerclub'),
            'wow fadeInLeft' => __('Fade In Left','soccerclub'),
            'wow fadeInRight' => __('Fade In Right','soccerclub'),
            'flip-up' => __('Flip Up','soccerclub')
        ),
        'section' => 'soccerclub_features_section',
    ));


 $wp_customize->add_setting('soccerclub_features_title_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_features_title_case',array(
        'type' => 'select',
        'label' => __('Features Title Case','soccerclub'),
        'choices' => array (
            'Uppercase' => __('Uppercase','soccerclub'),
            'Lowercase' => __('Lowercase','soccerclub'),
            'Capitalize' => __('Capitalize','soccerclub')
        ),
        'section' => 'soccerclub_features_section',
    ));

    $wp_customize->add_setting('soccerclub_features_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_features_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_features_section',
    ));

    $wp_customize->add_setting('soccerclub_features_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_features_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_features_section',
    ));

addColorPalatOption($wp_customize, 'soccerclub_features_imgbrdr_color', 'soccerclub_features_section', 'Left Image Border Color', '');

addColorPalatOption($wp_customize, 'soccerclub_features_heading_color1', 'soccerclub_features_section', 'Heading color', '');

addColorPalatOption($wp_customize, 'soccerclub_features_headingbtmbrdr_color1', 'soccerclub_features_section', 'Heading Bottom Border Color', '');
addColorPalatOption($wp_customize, 'soccerclub_features_headingbtmbrdr_color2', 'soccerclub_features_section', 'Heading Bottom Border Color', '');


addColorPalatOption($wp_customize, 'soccerclub_features_icon_color', 'soccerclub_features_section', 'Icon color ', '');

addColorPalatOption($wp_customize, 'soccerclub_features_iconbg_color', 'soccerclub_features_section', 'Icon Background color', '');

addColorPalatOption($wp_customize, 'soccerclub_features_iconbghover_color', 'soccerclub_features_section', 'Icon Background Hover color', '');

addColorPalatOption($wp_customize, 'soccerclub_features_title_color1', 'soccerclub_features_section', 'Title color', '');
addColorPalatOption($wp_customize, 'soccerclub_features_titlehover_color', 'soccerclub_features_section', 'Title hover color', '');

addColorPalatOption($wp_customize, 'soccerclub_features_text_color', 'soccerclub_features_section', 'Text color', '');
?>