<?php 
$wp_customize->add_section(
    'soccerclub_service_section',
    array(
        'title'   => __( 'Services', 'soccerclub' ),
        'panel'   => 'soccerclub_premium_home_panel1',
        'priority' =>19
    )
);

$wp_customize->add_setting('soccerclub_reset_service_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_service_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Service Section Settings', 'soccerclub'),
  'description' => 'soccerclub_services_reset_settings',
  'section' => 'soccerclub_service_section'
)));

$wp_customize->add_setting('soccerclub_Services_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_Services_nav', array(
       'section' => 'soccerclub_service_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'soccerclub_service_enable', 
                'soccerclub_services_maintitle',
                'soccerclub_services_subtitle',
                'soccerclub_service_area_lbl',
                'soccerclub_service_section_lbl', 
                'soccerclub_service_number', 
                'soccerclub_service_heading1',
                'soccerclub_service_heading2',
                'soccerclub_service_heading3',
                'soccerclub_service_heading4',
                'soccerclub_service_heading5',
                'soccerclub_service_heading6',
                'soccerclub_service_heading7',
                'soccerclub_service_heading8',
                'soccerclub_service_heading9',
                'soccerclub_service_heading10',
                'soccerclub_service_heading11',
                'soccerclub_service_heading12',
                'soccerclub_service_page1',
                'soccerclub_service_page2',
                'soccerclub_service_page3',
                'soccerclub_service_page4',
                'soccerclub_service_page5',
                'soccerclub_service_page6',
                'soccerclub_service_page7',
                'soccerclub_service_page8',
                'soccerclub_service_page9',
                'soccerclub_service_page10',
                'soccerclub_service_page11',
                'soccerclub_service_page12',
                'soccerclub_service_icon_enable',
                'soccerclub_service_excerpt_enable'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'soccerclub_service_section_bg_color',
                'soccerclub_service_section_bg_image',
                'soccerclub_service_image_opacity',  
                'soccerclub_services_imghover_color',      
                'soccerclub_service_box_onload_effects',
                'soccerclub_service_title_case',
                'soccerclub_services_head_align',
                'soccerclub_services_content_align',
                'soccerclub_services_overlay_color1',
                'soccerclub_services_heading_color1',
                'soccerclub_services_subheading_color',
                 'soccerclub_services_title_color1',
                'soccerclub_services_text_color',
                'soccerclub_services_btntext_color1',
                'soccerclub_services_btntextbg_color',
                'soccerclub_services_btntexthoverbg_color',
                'soccerclub_services_btntexthoverborder_color'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub_service_padding',                
                'soccerclub_service_top_padding',
                'soccerclub_service_bottom_padding',                 
                 'soccerclub_service_section_width',                
                'soccerclub_services_post_image_height',                
                'soccerclub_services_post_excerpt'
            ),
         )
        ),
    )));

$wp_customize->add_setting( 'soccerclub_service_enable',array(
    'default' => true,
    'sanitize_callback' => 'soccerclub_switch_sanitization'
) );
$wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_service_enable',array(
    'label' => __( 'Disable Section','soccerclub' ),
    'section' => 'soccerclub_service_section'
)));

$wp_customize->add_setting(
    'soccerclub_services_maintitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'We <span>Provide</span>', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_services_maintitle',
    array(
        'settings'      => 'soccerclub_services_maintitle',
        'section'       => 'soccerclub_service_section', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'soccerclub' )
    )
);

$wp_customize->add_setting(
    'soccerclub_services_subtitle',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
        'default'           => __( 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod', 'soccerclub' )
    )
);
$wp_customize->add_control(
    'soccerclub_services_subtitle',
    array(
        'settings'      => 'soccerclub_services_subtitle',
        'section'       => 'soccerclub_service_section', 
        'type'          => 'textarea',
        'label'         => __( 'Section Sub Heading', 'soccerclub' )
    )
);

$ServicesSingleChoice[] = 'select';
if(!is_array($ServicesSingleChoice)){
    $wp_customize->add_setting('soccerclub_service_area_lbl', array('sanitize_callback'=>'soccerclub_sanitize_text'));
    $wp_customize->add_control(
        new soccerclub_Info_Text( 
            $wp_customize,
            'soccerclub_service_area_lbl',
            array(
                'settings'      => 'soccerclub_service_area_lbl',
                'section'       => 'soccerclub_service_section',
                'label'         => __( 'Note:', 'soccerclub Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the service.</strong> <br/>Please add the service from "service menu" and then select Testimonial to show information.', 'soccerclub Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('soccerclub_service_section_lbl', array('sanitize_callback'=>'soccerclub_sanitize_text'));
$wp_customize->add_control(
    new soccerclub_Info_Text( 
        $wp_customize,
        'soccerclub_service_section_lbl',
        array(
            'settings'      => 'soccerclub_service_section_lbl',
            'section'       => 'soccerclub_service_section',
            'label'         => __( 'Note:', 'soccerclub Premium' ), 
            'description'   => __( 'Just place the shortcode "[SERVICES]" in your page to list the service in a page ', 'soccerclub Premium' ),
        )
    )
);

$wp_customize->add_setting('soccerclub_service_number',array('sanitize_callback' => 'soccerclub_sanitize_text','default' => 2));
$wp_customize->add_control(
    'soccerclub_service_number',
    array(
        'settings'      => 'soccerclub_service_number',
        'section'       => 'soccerclub_service_section',
        'type'          => 'select',
        'label'         => __( 'Number of service to show', 'soccerclub-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//service PAGES
for( $i = 1; $i<= 12; $i++ ){
    $wp_customize->add_setting(
        'soccerclub_service_heading'.$i,
        array(
            'sanitize_callback' => 'soccerclub_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new soccerclub_Customize_Heading(
            $wp_customize,
            'soccerclub_service_heading'.$i,
            array(
                'settings'      => 'soccerclub_service_heading'.$i,
                'section'       => 'soccerclub_service_section',
                'label'         => __( 'Service', 'soccerclub Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'soccerclub_service_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'soccerclub_service_page'.$i,
        array(
            'settings'      => 'soccerclub_service_page'.$i,
            'section'       => 'soccerclub_service_section',
            'type'=> 'select',
            'label'         => __( 'Select Service', 'soccerclub Premium' ),
            'choices' => $ServicesSingleChoice,
        )
    );

}

$wp_customize->add_setting( 'soccerclub_service_excerpt_enable',array(
    'default' => false,
    'sanitize_callback' => 'soccerclub_switch_sanitization'
) );
$wp_customize->add_control( new soccerclub_Toggle_Switch_Custom_Control( $wp_customize, 'soccerclub_service_excerpt_enable',array(
    'label' => __( 'Excerpt Display','soccerclub' ),
    'section' => 'soccerclub_service_section'
)));


  $wp_customize->add_setting( 'soccerclub_service_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'soccerclub_service_section_bg_color', array(
        'label' => __('Section Background Color','soccerclub'),
       'section' => 'soccerclub_service_section',
    )));

    $wp_customize->add_setting( 'soccerclub_service_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_service_section_bg_image', array(
        'label' => __('Section Background Image','soccerclub'),
       'section' => 'soccerclub_service_section',
    )));


 $wp_customize->add_setting('soccerclub_service_image_opacity',array(
        'default' => 1,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_service_image_opacity',array(
    'label' => __('Background Opacity','soccerclub'),
    'section' => 'soccerclub_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

 $wp_customize->add_setting('soccerclub_service_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_service_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','soccerclub'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','soccerclub'),
            'wow bounceInRight' => __('Bounce In Right','soccerclub'),
            'wow bounceInUp' => __('Bounce In Up','soccerclub'),
            'wow bounceInDown' => __('Bounce In Down','soccerclub'),
            'wow zoomIn' => __('Zoom In','soccerclub'),
            'wow zoomOut' => __('Zoom Out','soccerclub'),
            'wow fadeInDown' => __('Fade In Down','soccerclub'),            
            'wow fadeInUp' => __('Fade In Up','soccerclub'),
            'wow fadeInLeft' => __('Fade In Left','soccerclub'),
            'wow fadeInRight' => __('Fade In Right','soccerclub'),
            'flip-up' => __('Flip Up','soccerclub')
        ),
        'section' => 'soccerclub_service_section',
    ));

    $wp_customize->add_setting('soccerclub_services_head_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_services_head_align',array(
        'type' => 'select',
        'label' => __('Section Head Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_service_section',
    ));

    $wp_customize->add_setting('soccerclub_services_content_align',array(
        'default' => 'Center',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_services_content_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','soccerclub'),
        'choices' => array (
            'Center' => __('Center','soccerclub'),
            'Left' => __('Left','soccerclub'),
            'Right' => __('Right','soccerclub')
        ),
        'section' => 'soccerclub_service_section',
    ));

     $wp_customize->add_setting('soccerclub_service_title_case',array(
        'default' => 'Uppercase',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_service_title_case',array(
        'type' => 'select',
        'label' => __('Services Title Case','soccerclub'),
        'choices' => array (
            'Uppercase' => __('Uppercase','soccerclub'),
            'Lowercase' => __('Lowercase','soccerclub'),
            'Capitalize' => __('Capitalize','soccerclub'),
            'None' => __('None','soccerclub')
        ),
        'section' => 'soccerclub_service_section',
    ));


addColorPalatOption($wp_customize, 'soccerclub_services_heading_color1', 'soccerclub_service_section', 'Heading color', '');
addColorPalatOption($wp_customize, 'soccerclub_services_subheading_color', 'soccerclub_service_section', 'Subheading color ', '');

addColorPalatOption($wp_customize, 'soccerclub_services_overlay_color1', 'soccerclub_service_section', 'Box Overlay color', '');


addColorPalatOption($wp_customize, 'soccerclub_services_title_color1', 'soccerclub_service_section', 'Title color', '');

 $wp_customize->add_setting('soccerclub_service_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('soccerclub_service_padding',array(
      'label' => __('Section Padding','soccerclub'),
      'section' => 'soccerclub_service_section'
   ));

    $wp_customize->add_setting('soccerclub_service_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_service_top_padding',array(
    'type' => 'number',
    'label' => __('Top','soccerclub'),
    'section' => 'soccerclub_service_section',
    ));
     $wp_customize->add_setting('soccerclub_service_bottom_padding',array(
        'default' => '4',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('soccerclub_service_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','soccerclub'),
    'section' => 'soccerclub_service_section',
    ));


  $wp_customize->add_setting('soccerclub_service_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_service_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_service_section',
    ));


// backgroundManager($wp_customize, 'services', 'soccerclub_service_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting('soccerclub_services_post_image_height',array(
        'default' => 340,
        'sanitize_callback' => 'soccerclub_sanitize_integer'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_services_post_image_height',array(
    'label' => __('Image Height','soccerclub'),
    'section' => 'soccerclub_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 500,
            'step' => 1,
        ),
    )));

    $wp_customize->add_setting('soccerclub_services_post_excerpt',array(
        'default' => 10,
        'sanitize_callback' => 'soccerclub_sanitize_integer'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_services_post_excerpt',array(
    'label' => __('Excerpt Length','soccerclub'),
    'section' => 'soccerclub_service_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 100,
            'step' => 1,
        ),
    )));
?>