<?php  
//$soccerclubSliderSingleChoice = getsoccerclubPostsType('slider');
$wp_customize->add_section(
    'soccerclub_slider_section',
    array(
        'title' => __( 'Slider', 'soccerclub' ),
        'panel' => 'soccerclub_premium_home_panel1',
        'priority' =>18
    )
);

$wp_customize->add_setting('soccerclub_reset_slider_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_slider_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset slider Section Settings', 'soccerclub'),
  'description' => 'soccerclub_slider_reset_settings',
  'section' => 'soccerclub_slider_section'
)));

$wp_customize->add_setting('soccerclub_slider_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_slider_nav', array(
       'section' => 'soccerclub_slider_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'slider_section_show_content',
                'soccerclub_slider_image_opacity',
                'soccerclub_sliderc_image',
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(
                'soccerclub_slider_heading1_color',
                'soccerclub_slider_heading_color2',
                'soccerclub_slider_text_color',
                'soccerclub_slider_buttontext_color1',  
                'soccerclub_slider_buttonbg_color1', 
                'soccerclub_slider_buttonbghov_color',
                'soccerclub_slider_indicatortext_color',
                'soccerclub_slider_indicatorbg_color',
                'soccerclub_slider_indicatorbghover_color',
                'soccerclub_slider_overlay1_color',
                'soccerclub_slider_headingbtmbrdr_color1',
                'soccerclub_slider_headingbtmbrdr_color2',
                'soccerclub_slider_cntrimgbg_color'        
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'soccerclub_slider_section_width'
            ),
         )
        ),
    )));

$wp_customize->add_setting(
    'slider_section_show_content',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'slider_section_show_content',
        array(
            'settings'      => 'slider_section_show_content',
            'section'       => 'soccerclub_slider_section',
            'label'         => __( 'Hide Title and description on Slider', 'Luzuk' ),
            'on_off_label'  => array(
                'on' => __( 'No', 'Luzuk' ),
                'off' => __( 'Yes', 'Luzuk' )
            ),
        )
    )
);

    $wp_customize->add_setting('soccerclub_slider_image_opacity',array(
        'default' => 0.7,
        'sanitize_callback' => 'soccerclub_sanitize_float'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_slider_image_opacity',array(
    'label' => __('Slider Image Opacity','soccerclub'),
    'section' => 'soccerclub_slider_section',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));


$wp_customize->add_setting( 'soccerclub_sliderc_image', array(
   'default' => '',
   'sanitize_callback' => 'esc_url_raw'
));
$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'soccerclub_sliderc_image', array(
    'label' => __('Center Image','soccerclub'),
   'section' => 'soccerclub_slider_section',
)));




    $wp_customize->add_setting('soccerclub_slider_section_width',array(
        'default' => 'Full Width',
        'sanitize_callback' => 'soccerclub_sanitize_choices',
    ));
    $wp_customize->add_control('soccerclub_slider_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','soccerclub'),
        'choices' => array (
            'Box Width' => __('Box Width','soccerclub'),
            'Full Width' => __('Full Width','soccerclub')
        ),
        'section' => 'soccerclub_slider_section',
    ));


addColorPalatOption($wp_customize, 'soccerclub_slider_heading1_color', 'soccerclub_slider_section', 'Heading 1 Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_heading_color2', 'soccerclub_slider_section', 'Heading 2 Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_headingbtmbrdr_color1', 'soccerclub_slider_section', 'Heading Bottom Border Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_headingbtmbrdr_color2', 'soccerclub_slider_section', 'Heading Bottom Border Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_text_color', 'soccerclub_slider_section', 'Text Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_buttontext_color1', 'soccerclub_slider_section', ' Button Text Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_buttonbg_color1', 'soccerclub_slider_section', ' Button BG Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_buttonbghov_color', 'soccerclub_slider_section', ' Button Hover BG Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_overlay1_color', 'soccerclub_slider_section', 'Left BG Overlay Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_cntrimgbg_color', 'soccerclub_slider_section', 'Center Imgae BG Color', '');

addColorPalatOption($wp_customize, 'soccerclub_slider_indicatortext_color', 'soccerclub_slider_section', 'Next/Prev Button Text Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_indicatorbg_color', 'soccerclub_slider_section', 'Next/Prev Button BG Color', '');
addColorPalatOption($wp_customize, 'soccerclub_slider_indicatorbghover_color', 'soccerclub_slider_section', 'Next/Prev Button Text Hover Color', '');

 ?>