<?php 
  $lvl2ParentPanel3 = new soccerclub_WP_Customize_Panel( $wp_customize, 'soccerclub_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'soccerclub_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'soccerclub_section', array(
    'title' => 'Section Test single',
    'panel' => 'soccerclub_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'soccerclub_single_post' , array(
        'title'    => __( 'Single Post', 'soccerclub-premium' ),
        'priority' => null,
        'panel' => 'soccerclub_header_panel3'
    ) );

    $wp_customize->add_setting('soccerclub_reset_single_post_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new soccerclub_Reset_Custom_Control($wp_customize, 'soccerclub_reset_single_post_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Single Post Settings', 'soccerclub'),
  'description' => 'soccerclub_single_post_reset_settings',
  'section' => 'soccerclub_single_post'
)));

    $wp_customize->add_setting('soccerclub_singleeblog_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new soccerclub_Tab_Control($wp_customize, 'soccerclub_singleeblog_nav', array(
       'section' => 'soccerclub_single_post',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'featured_img_on_off',
                'soccerclub__blogspost_layout',
                'soccerclub_single_post_image_height',
                'soccerclub_single_show_author',
                'soccerclub_single_show_date',
                'soccerclub_single_show_time',
                'soccerclub_single_show_category',
                'soccerclub_single_show_comments',
                'soccerclub_single_show_tags',
                'single_blog_socials_on_off'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'soccerclub-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                
                'soccerclub_singleblogpage_title_color',
                'soccerclub_singleblogpage_metatext_color',
                'soccerclub_singleblogpage_contenttext_color',
                'soccerclub_singleblogpage_button_color',
                'soccerclub_singleblogpage_buttonhover_color',
                'soccerclub_singleblogpage_buttonbg_color',
                'soccerclub_singleblogpage_buttonbghover_color',
                'soccerclub_singleblogpage_socialicon_color',
                'soccerclub_singleblogpage_socialiconhover_color',
                'soccerclub_singleblogpage_metaicon_color'
            ),
         )
        ),
    )));


$wp_customize->add_setting(
    'featured_img_on_off',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'featured_img_on_off',
        array(
            'settings'      => 'featured_img_on_off',
            'section'       => 'soccerclub_single_post',
            'label'         => __( 'Show Featured Image', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'soccerclub-premium' ),
                'off' => __( 'No', 'soccerclub-premium' )
            ),
        )
    )
);

     $wp_customize->add_setting('soccerclub_single_post_image_height',array(
        'default' => 330,
        'sanitize_callback' => 'soccerclub_sanitize_integer'
    ));
    $wp_customize->add_control(new soccerclub_Custom_Control( $wp_customize, 'soccerclub_single_post_image_height',array(
    'label' => __('Featured Image Height','soccerclub'),
    'section' => 'soccerclub_single_post',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1000,
            'step' => 1,
        ),
    )));

//Blog Single Post Layout
$lzBlogSPostLayout = getBlogSPostLayout(true);

$wp_customize->add_setting(
   'soccerclub__blogspost_layout',
   array(
      'sanitize_callback'=> 'absint',
      'default' => '0'
   )
);
$wp_customize->add_control(
   new soccerclub_Font_Chooser(
      $wp_customize,
      'soccerclub__blogspost_layout',
      array(
         'settings'=> 'soccerclub__blogspost_layout',
         'section' => 'soccerclub_single_post',
         'label'=>__('Post Sidebar', 'soccerclub Premium'),
         'choices'=>$lzBlogSPostLayout
      )
   )
);

$wp_customize->add_setting('soccerclub_single_show_author',array(
  'default' => true,
  'sanitize_callback'   => 'soccerclub_sanitize_checkbox'
));
$wp_customize->add_control('soccerclub_single_show_author',array(
  'type' => 'checkbox',
  'label' => __('Show / Hide Author','soccerclub'),
  'section' => 'soccerclub_single_post'
));


$wp_customize->add_setting('soccerclub_single_show_date',array(
      'default' => true,
      'sanitize_callback'   => 'soccerclub_sanitize_checkbox'
   ));
   $wp_customize->add_control('soccerclub_single_show_date',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Date','soccerclub'),
      'section' => 'soccerclub_single_post'
   ));

$wp_customize->add_setting('soccerclub_single_show_time',array(
      'default' => true,
      'sanitize_callback'   => 'soccerclub_sanitize_checkbox'
   ));
   $wp_customize->add_control('soccerclub_single_show_time',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Time','soccerclub'),
      'section' => 'soccerclub_single_post'
   ));

$wp_customize->add_setting('soccerclub_single_show_category',array(
      'default' => true,
      'sanitize_callback'   => 'soccerclub_sanitize_checkbox'
   ));
   $wp_customize->add_control('soccerclub_single_show_category',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Category','soccerclub'),
      'section' => 'soccerclub_single_post'
   ));

    $wp_customize->add_setting('soccerclub_single_show_comments',array(
      'default' => true,
      'sanitize_callback'   => 'soccerclub_sanitize_checkbox'
   ));
   $wp_customize->add_control('soccerclub_single_show_comments',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Comments','soccerclub'),
      'section' => 'soccerclub_single_post'
   ));

      $wp_customize->add_setting('soccerclub_single_show_tags',array(
      'default' => true,
      'sanitize_callback'   => 'soccerclub_sanitize_checkbox'
   ));
   $wp_customize->add_control('soccerclub_single_show_tags',array(
      'type' => 'checkbox',
      'label' => __('Show / Hide Tags','soccerclub'),
      'section' => 'soccerclub_single_post'
   ));

$wp_customize->add_setting(
    'single_blog_socials_on_off',
    array(
        'sanitize_callback' => 'soccerclub_sanitize_text',
    )
);
$wp_customize->add_control(
    new soccerclub_Switch_Control(
        $wp_customize,
        'single_blog_socials_on_off',
        array(
            'settings'      => 'single_blog_socials_on_off',
            'section'       => 'soccerclub_single_post',
            'label'         => __( 'Socials', 'soccerclub-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'soccerclub-premium' ),
                'off' => __( 'No', 'soccerclub-premium' )
            ),
        )
    )
);

addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_title_color', 'soccerclub_single_post', 'Title color', '');
addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_metatext_color', 'soccerclub_single_post', 'Meta Text color', '');

addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_metaicon_color', 'soccerclub_single_post', 'Meta Text Icon color', '');

addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_contenttext_color', 'soccerclub_single_post', 'Content Text color', '');

addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_button_color', 'soccerclub_single_post', 'Button color', '');
addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_buttonhover_color', 'soccerclub_single_post', 'Button hover color', '');
addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_buttonbg_color', 'soccerclub_single_post', 'Button background color', '');

addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_buttonbghover_color', 'soccerclub_single_post', 'Button background hover color', '');

addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_socialicon_color', 'soccerclub_single_post', 'Social Icon color', '');
addColorPalatOption($wp_customize, 'soccerclub_singleblogpage_socialiconhover_color', 'soccerclub_single_post', 'Social Icon hover color', '');
?>